﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %> 
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %> 
 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
 
<html xmlns="http://www.w3.org/1999/xhtml">  
<head id="Head1" runat="server">  
    <title></title>  
    <link rel="Stylesheet" type="text/css" href="Office2007Client/Css/RibbonBar.css" /> 
    <link rel="Stylesheet" type="text/css" href="Office2007Client/RadMenu.Office2007Big/Menu.Office2007Big.css" /> 
    <link href="Office2007Client/RadToolBar.Office2007NSV/ToolBar.Office2007NSV.css" rel="stylesheet" type="text/css" /> 
</head> 
<body> 
    <form id="form1" runat="server">     
 
    <asp:ScriptManager ID="ScriptManager1" runat="server">  
    </asp:ScriptManager> 
      
    <telerik:RadAjaxManager ID="RAjxMgrDefault" runat="server" DefaultLoadingPanelID="radToolLoading">  
        <AjaxSettings> 
            <telerik:AjaxSetting AjaxControlID="MainApplicationMenu" EventName="Click">  
                <UpdatedControls> 
                    <telerik:AjaxUpdatedControl ControlID="defaultMainPnl" /> 
                </UpdatedControls> 
            </telerik:AjaxSetting> 
        </AjaxSettings> 
    </telerik:RadAjaxManager> 
      
    <telerik:RadToolTip ID="radToolLoading" runat="server" Modal="true" ShowEvent="FromCode" 
        Position="Center" RelativeTo="Element" OnClientBeforeHide="OnClientBeforeHide" 
        Width="130px" ShowDelay="900">  
        <img src="Images/Common/loading.gif" width="130" height="60" alt="&nbsp;" /><br /> 
    </telerik:RadToolTip> 
    
    <div class="applicationBar">  
        <div class="applicationMenu" > 
            <telerik:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False" 
                Skin="Office2007Big" EnableEmbeddedSkins="False"  BackColor="Transparent" OnItemClick="MainApplicationMenu_Clicked" OnClientItemClicking="MainMenu_ItemClicking">  
                <Items> 
                    <telerik:RadMenuItem ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" 
                         ClickedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"  HoveredImageUrl="~/Office2007Client/Images/ApplicationMenuHover.gif" 
                        ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif" ExpandMode="ClientSide" PostBack="false">  
                        <Items> 
                            <telerik:RadMenuItem Text="Customers" ImageUrl="~/Images/32x32/Spyware.gif" ExpandMode="ClientSide" Value="Customers" PostBack="false">  
                                <Items> 
                                        <telerik:RadMenuItem Text="Customer Options" PostBack="false">  
                                        </telerik:RadMenuItem> 
                                        <telerik:RadMenuItem ImageUrl="~/Images/32x32/Spyware.gif" Text="Orders" Value="CustomerOrders">  
                                        </telerik:RadMenuItem>                                    
                                </Items> 
                            </telerik:RadMenuItem> 
                            <telerik:RadMenuItem  Text="Employees" ImageUrl="~/Images/32x32/Users.gif" ExpandMode="ClientSide" PostBack="false">  
                                <Items> 
                                    <telerik:RadMenuItem Text="Employee Options" PostBack="false">  
                                    </telerik:RadMenuItem> 
                                    <telerik:RadMenuItem ImageUrl="~/Images/32x32/Users.gif" Text="Edit" Value="EmployeeEdit">  
                                    </telerik:RadMenuItem>                                    
                                </Items> 
                            </telerik:RadMenuItem> 
                        </Items> 
                    </telerik:RadMenuItem> 
                </Items> 
            </telerik:RadMenu> 
        </div>            
          
        <telerik:RadToolBar ID="RadToolBar1" runat="server" EnableEmbeddedSkins="false" Skin="Office2007NSV" CssClass="officeToolBar">  
            <Items> 
                <telerik:RadToolBarButton runat="server" ImageUrl="~/Images/16x16/Document.gif" Value="doca" ToolTip="Document A">  
               </telerik:RadToolBarButton> 
               <telerik:RadToolBarButton runat="server" ImageUrl="~/Images/16x16/Document.gif" Value="docb" ToolTip="Document B">  
               </telerik:RadToolBarButton> 
           </Items> 
        </telerik:RadToolBar> 
          
         
          
    </div> 
      
        <div style="padding-top:15px; padding-left:3px">  
            <asp:Label ID="lblViewState" runat="server" Text="ViewState:"></asp:Label> 
            <asp:Label ID="lblViewStateDisplay" runat="server" Text=""></asp:Label> 
        <div id="mastContent">  
            <asp:PlaceHolder ID="defaultMainPnl" runat="server" />                  
        </div> 
    </div> 
      
    <telerik:RadScriptBlock ID="RSBDefault" runat="server">  
          <script type="text/javascript">  
              //<![CDATA[
              Sys.WebForms.PageRequestManager.getInstance().add_pageLoaded(Page_Loaded);
              function Page_Loaded() {
                  // Hide tooltips
                  HideLoading();
                  // Display Viewstate
                  ShowViewState();
              }
              function MainMenu_ItemClicking(sender, args) {
                  var menu = $find("<%= MainApplicationMenu.ClientID%>");
                  var itemValue = args.get_item().get_value();
                  if (!itemValue) {
                      return false;
                      //args.set_cancel(true); 
                  }
                  else {
                      menu.close();
                      return true;
                  }
              }
              var toHide = false;
              function OnClientBeforeHide(sender, args) {
                  if (!toHide) args.set_cancel(true);
              }
              
              function GetActiveToolTip() {
                  var controller = Telerik.Web.UI.RadToolTipController.getInstance();
                  var tooltip = controller.get_activeToolTip();
                  return tooltip;
              }
              function ShowViewState() {
                  var vs = $get('__VIEWSTATE');
                  var lblViewState = $get('<%= lblViewStateDisplay.ClientID %>');
                  if (vs != null) {                   
                      lblViewState.innerHTML = (vs.value.length / 1024).toPrecision(4) + ' kb';
                  }
              }
              function HideLoading() {
                  var tooltip = GetActiveToolTip();
                  if (tooltip != null && tooltip.get_id() == "radToolLoading") {
                      toHide = true;
                      tooltip.hide();
                  }
              }
              
              //]]> 
        </script>    
    </telerik:RadScriptBlock>   
      
    </form> 
</body> 
</html> 